module Mks
  module Rate
    class ServiceBundleService
      def add_services(bundle, ids)
        selected_services = Mks::Rate::ChargeableService.where(id: ids)

        ServiceBundle.transaction do
          new_services = selected_services - bundle.chargeable_services
          removable_services = bundle.chargeable_services - selected_services
          bundle.chargeable_services.delete(removable_services)
          bundle.chargeable_services << new_services
          return true
        end
        false
      end
    end
  end
end