class CreateMksRateServiceBundlesChargeableServices < ActiveRecord::Migration[5.1]
  def change
    create_table :mks_rate_service_bundles_chargeable_services, id: false do |t|
      t.references :service_bundle, index: false
      t.references :chargeable_service, index: false
    end

    add_index :mks_rate_service_bundles_chargeable_services, %i[service_bundle_id chargeable_service_id], name: 'sb_on_cs_indx'
    add_foreign_key :mks_rate_service_bundles_chargeable_services, :mks_rate_service_bundles, column: :service_bundle_id
    add_foreign_key :mks_rate_service_bundles_chargeable_services, :mks_rate_chargeable_services, column: :chargeable_service_id
  end
end
